/* 这两个必须写在这里，html 内的在初始化时会被替换 */
.tui-image-editor-canvas-container {
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    top: 50%;
    overflow: hidden;
    margin: 0 auto;
    /* background-color: lightpink; */
}

.tui-image-editor {
    margin: 0 auto;
    /* background-color: red; */
}

.color li {
    margin-right: 9px;
    width: 17px;
    height: 17px;
}

body {
    font-family: "Microsoft YaHei", "arial";
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    overflow: hidden;
}

.sharp {
    border-top: 1px solid #e2e5ec;
    border-left: 1px solid #e2e5ec;
    width: 10px;
    height: 10px;
    transform: rotate(45deg);
}

.bds {
    border-style: solid;
    border-width: 1px;
}

/* 编号 */
.bd1 {
    border-color: #e2e5ec;
}

.bd2 {
    border-color: #0fa790;
}

.bd3 {
    border-color: #0090ff;
}

.br3 {
    border-radius: 3px;
}

.br4 {
    border-radius: 4px;
}

.br14 {
    border-radius: 14px;
}

.br19 {
    border-radius: 19px;
}

.br50 {
    border-radius: 50%;
}

.sd1 {
    box-shadow: 0px 6px 8px 0px rgba(189, 201, 222, 0.41);
}

.opc {
    opacity: 0.5;
}

.rct50 {
    width: 50px;
    height: 50px;
}

/* 常用 */
.grn1 {
    background-color: lightgreen;
}

.red1 {
    background-color: lightpink;
}

.blue1 {
    background-color: #0090ff;
}

.white1 {
    background-color: white;
}

.white2 {
    background-color: #f8fafc;
}

.white3 {
    background-color: #fbfdff;
}

.gray1 {
    background-color: #eeeeee;
}

.gray2 {
    background-color: #e2e5ec;
}

h3 {
    font-weight: normal;
}

/* 通用 */
* {
    margin: 0px;
    padding: 0px;
}

li {
    list-style-type: none;
}

img {
    border-style: none;
}

a {
    text-decoration: none;
}

.non {
    display: none;
}

.cp {
    cursor: pointer;
}

.cd {
    cursor: default;
}

.ma {
    margin: 0 auto;
}

.fix {
    position: fixed;
}

.abs {
    position: absolute;
}

.ret {
    position: relative;
}

.cb {
    clear: both;
}

.fr {
    float: right;
}

.fl {
    float: left;
}

.ofh {
    overflow: hidden;
}

.lt {
    text-align: left;
}

.rt {
    text-align: right;
}

.ct {
    text-align: center;
}

.ellipsis{
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}